summaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
Diffstat (limited to 'main')
-rw-r--r--main/augeas/APKBUILD25
-rw-r--r--main/augeas/augeas-requires-libxml2.patch20
-rw-r--r--main/augeas/regexp.c.patch15
-rw-r--r--main/check/APKBUILD33
-rw-r--r--main/docbook-xsl/APKBUILD8
-rw-r--r--main/firefox/APKBUILD8
-rw-r--r--main/galculator/APKBUILD13
-rw-r--r--main/galculator/galculator-1.3.4-libm.patch18
-rw-r--r--main/libasyncns/APKBUILD33
-rw-r--r--main/libnetcf/APKBUILD45
-rw-r--r--main/libnetcf/libnetcf-netcf_transaction.patch11
-rw-r--r--main/libvirt/APKBUILD4
-rw-r--r--main/loudmouth/01-fix-sasl-md5-digest-uri.patch25
-rw-r--r--main/loudmouth/03-drop-stanzas-on-fail.patch46
-rw-r--r--main/loudmouth/04-use-pkg-config-for-gnutls.patch24
-rw-r--r--main/loudmouth/APKBUILD68
-rw-r--r--main/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch17
-rw-r--r--main/mcabber/APKBUILD56
-rw-r--r--main/netcf/APKBUILD47
-rw-r--r--main/squid/APKBUILD6
-rw-r--r--main/squid/bug-3679.patch15
-rw-r--r--main/squid/squid-3.2.0.16-loggable-urlgroup.patch111
-rw-r--r--main/xulrunner/APKBUILD30
-rw-r--r--main/xulrunner/mallctl.patch28
-rw-r--r--main/xulrunner/mozconfig1
-rw-r--r--main/xulrunner/uclibc-malloc_usable_size.patch19
26 files changed, 530 insertions, 196 deletions
diff --git a/main/augeas/APKBUILD b/main/augeas/APKBUILD
index c5ee5efab..5c629a36a 100644
--- a/main/augeas/APKBUILD
+++ b/main/augeas/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=augeas
-pkgver=0.10.0
-pkgrel=2
+pkgver=1.0.0
+pkgrel=0
pkgdesc="a configuration editing tool"
url="http://augeas.net"
arch="all"
@@ -10,10 +10,8 @@ depends=
depends_dev="libxml2-dev"
makedepends="$depends_dev readline-dev"
install=
-subpackages="$pkgname-dev $pkgname-doc $pkgname-tests"
-source="http://augeas.net/download/augeas-$pkgver.tar.gz
- regexp.c.patch
- augeas-requires-libxml2.patch
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tests $pkgname-libs"
+source="http://download.augeas.net/augeas-$pkgver.tar.gz
"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -51,6 +49,15 @@ tests() {
mv "$pkgdir"/usr/share/augeas/lenses/dist/tests \
"$subpkgdir"/usr/share/augeas/lenses/dist/
}
-md5sums="fe1834e90a066c3208ac0214622c7352 augeas-0.10.0.tar.gz
-a9f0fe2cd7e6aebf916747207cc2b537 regexp.c.patch
-ea212ab45cde19301646b974cc0941e8 augeas-requires-libxml2.patch"
+
+libs() {
+ pkgdesc="Libraries for augeas"
+ mkdir -p "$subpkgdir"/usr/ "$subpkgdir"/usr/share/augeas/
+ mv "$pkgdir"/usr/lib "$subpkgdir"/usr/ || return 1
+ mv "$pkgdir"/usr/share/augeas/lenses \
+ "$subpkgdir"/usr/share/augeas/ || return 1
+}
+
+md5sums="82131019432ecf8102e1491610ad2dd1 augeas-1.0.0.tar.gz"
+sha256sums="31bf757c5b8197765946b3805f3793c32b03cd92a7a77ec95d37e71a1f131912 augeas-1.0.0.tar.gz"
+sha512sums="63744d9021e5965d61416beb8193506468e9c79c154e40f3ad46c487d5a26d93f6a31d5b0946d4c5d87e1682e29ee386124a30f9dd6d60621542de456975793a augeas-1.0.0.tar.gz"
diff --git a/main/augeas/augeas-requires-libxml2.patch b/main/augeas/augeas-requires-libxml2.patch
deleted file mode 100644
index 64e45695d..000000000
--- a/main/augeas/augeas-requires-libxml2.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-From 11b00ad49301ae6e246eae3e5ee64a80e2084a43 Mon Sep 17 00:00:00 2001
-From: Richard W.M. Jones <rjones@redhat.com>
-Date: Sat, 03 Dec 2011 14:21:50 +0000
-Subject: pkg-config: Augeas requires libxml2.
-
----
-diff --git a/augeas.pc.in b/augeas.pc.in
-index c97847d..9e166db 100644
---- a/augeas.pc.in
-+++ b/augeas.pc.in
-@@ -6,6 +6,6 @@ includedir=@includedir@
- Name: augeas
- Version: @VERSION@
- Description: Augeas configuration editing library
--Requires:
-+Requires.private: libxml-2.0
- Libs: -L${libdir} -laugeas @LIBS@
- Cflags: -I${includedir}
---
-cgit v0.9.0.2
diff --git a/main/augeas/regexp.c.patch b/main/augeas/regexp.c.patch
deleted file mode 100644
index 87ba795ba..000000000
--- a/main/augeas/regexp.c.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-X-Git-Url: http://git.fedorahosted.org/git?p=augeas.git;a=blobdiff_plain;f=src%2Fregexp.c;h=811087d8f2de1d7adc80b4d9308dc7c9f3827c99;hp=cf0ea5d37e21bed27295bd788fc474ba900a910d;hb=021ea39f8e400225e2d01b4c62eb9d56404f2ecd;hpb=1d5b19760d4d92153a8eb9279bf9709b7ead20c7
-
-diff --git a/src/regexp.c b/src/regexp.c
-index cf0ea5d..811087d 100644
---- a/src/regexp.c
-+++ b/src/regexp.c
-@@ -50,7 +50,7 @@ char *regexp_escape(const struct regexp *r) {
- ret = fa_restrict_alphabet(r->pattern->str, strlen(r->pattern->str),
- &nre, &nre_len, 2, 1);
- if (ret == 0) {
-- pat = escape(nre, nre_len);
-+ pat = escape(nre, nre_len, RX_ESCAPES);
- free(nre);
- }
- #endif
diff --git a/main/check/APKBUILD b/main/check/APKBUILD
new file mode 100644
index 000000000..a5d2e2f17
--- /dev/null
+++ b/main/check/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=check
+pkgver=0.9.8
+pkgrel=0
+pkgdesc="A unit test framework for C"
+url="http://check.sourceforge.net/"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev="pkgconfig"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/check/check-$pkgver.tar.gz"
+_builddir="$srcdir"/check-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --infodir=/usr/share/info \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="5d75e9a6027cde79d2c339ef261e7470 check-0.9.8.tar.gz"
diff --git a/main/docbook-xsl/APKBUILD b/main/docbook-xsl/APKBUILD
index 08cb3ec3a..33ad97127 100644
--- a/main/docbook-xsl/APKBUILD
+++ b/main/docbook-xsl/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=docbook-xsl
-pkgver=1.77.1
-pkgrel=1
+pkgver=1.78.0
+pkgrel=0
pkgdesc="XML stylesheets for Docbook-xml transformations."
url="http://scrollkeeper.sourceforge.net/docbook.shtml"
arch="all"
@@ -40,4 +40,6 @@ package() {
"$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
-md5sums="a88dbdc0cd74702656083b6e4e4241d8 docbook-xsl-1.77.1.tar.bz2"
+md5sums="52d99e87280509111168338494b1b973 docbook-xsl-1.78.0.tar.bz2"
+sha256sums="e43220bfe35cad7eb289291264da472819c4b781173a9a58f72d6e404a1f5923 docbook-xsl-1.78.0.tar.bz2"
+sha512sums="9611e354a8c8e86fa203a0b58356a6229e82f98197a94f9a668c10e10ef3ebb87f468fa03a04292068d1cca5ad31043d78e19981933ee3820910d70ca9e044e2 docbook-xsl-1.78.0.tar.bz2"
diff --git a/main/firefox/APKBUILD b/main/firefox/APKBUILD
index b162a198d..534b5e45b 100644
--- a/main/firefox/APKBUILD
+++ b/main/firefox/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=firefox
-pkgver=18.0.2
+pkgver=19.0
_pkgver=$pkgver
_xulver=$pkgver
pkgrel=0
@@ -119,19 +119,19 @@ __EOF__
chmod 755 "$pkgdir"/usr/bin/firefox
}
-md5sums="a7a20f52a3ffdd8d2fafa8a1a1db49c7 firefox-18.0.2.source.tar.bz2
+md5sums="3dc732b6ce177792b43324f4bc7164d8 firefox-19.0.source.tar.bz2
98bcd8b2d33037f12ca513882fc5d831 mozconfig
2328df219e042f6aaec361cbf83cf9e9 firefox-5.0-asciidel.patch
7341e290faecd9a827c4d580142699a5 duckduckgo.patch
ba96924ece1d77453e462429037a2ce5 firefox.desktop
6f38a5899034b7786cb1f75ad42032b8 firefox-safe.desktop"
-sha256sums="6aa2cd33903d612cf569e2824a6168feb6209f09fb3ca730ec10236da49bd236 firefox-18.0.2.source.tar.bz2
+sha256sums="645eaba5ee9a2728799822f6f79d91bfd4c3dade5141db2e0a606c85eec589f4 firefox-19.0.source.tar.bz2
0988b03a0532293fbacfd995cdc93df2a10b873cebf4912e1a96cb86f2321312 mozconfig
e1e5b6ab3337a6af5c74be392d32fccfa315191191c622dac4f660157ebf4e7a firefox-5.0-asciidel.patch
034587def9ddd665cc67ebf03db1aae25749ed646e7e8d5758e1278fc75a0f8e duckduckgo.patch
b571c4a49884a3c98806246c9cc3e60c73d5a8f4aeb7f96217db0be1d6210eda firefox.desktop
4b6de45753856a890f4482055666e77f9b01bdfb7e0df08bafaa3a4d9937eed3 firefox-safe.desktop"
-sha512sums="c9be9d7328fe614059f895879351a48a3083f4a7ac1eb22eab3af8e94c432ad06d4f8a7295c2b843c4a289e463fcbd2dc389c8bc8018c5d8c666929a82214e54 firefox-18.0.2.source.tar.bz2
+sha512sums="6b9f93dd5cdb5a5a02072cf6dd43952c78f379f530963e630551904e746c15e343527b1095f327a7d3af05df7007fdf88fc1cd618bf07d93abbf5aabbb82a727 firefox-19.0.source.tar.bz2
f5a3842a04d3fbf433f70fbbbefbf8ee2fce2f25fa041bf4920f99c8842c8a16e0aeaf44e64af14cffcb743c8816ba7aebbbe13e07d0b17ee6a50dbad8f7f645 mozconfig
9ccc74883fa4f3861a5ddde1af9c3c0d151fda8ff64df979ee0565ecd2013a875894e5670a0c1d0a28fbb81fb88759777ce7fcb196e582caeb903c760859a1b1 firefox-5.0-asciidel.patch
d6907d87c14647e3670aef7d55140990e9132f852a097cdc82f4f6f3c6676f1cb6b4ec5aba40d6bec8e9ad45af5e90c9572c1d11c22f2e96bb1bbf3e1bbbefb0 duckduckgo.patch
diff --git a/main/galculator/APKBUILD b/main/galculator/APKBUILD
index ed002766c..5e71d93f6 100644
--- a/main/galculator/APKBUILD
+++ b/main/galculator/APKBUILD
@@ -1,16 +1,15 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=galculator
-pkgver=2.0.1
+pkgver=2.1
pkgrel=0
pkgdesc="GTK+ based scientific calculator"
url="http://galculator.sourceforge.net/"
arch="all"
license="GPL"
depends=
-makedepends="intltool libglade-dev gtk+-dev autoconf automake libtool flex bison"
+makedepends="gtk+2.0-dev flex bison"
subpackages="$pkgname-doc $pkgname-lang"
-source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2
- galculator-1.3.4-libm.patch"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
_builddir="$srcdir/galculator-$pkgver"
prepare() {
@@ -20,7 +19,6 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
- libtoolize --force && aclocal && autoconf && automake --add-missing
}
build() {
@@ -35,5 +33,6 @@ package() {
cd "$srcdir/galculator-$pkgver"
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="c4436478adfef4f3a7d6c42ce8286d34 galculator-2.0.1.tar.bz2
-ff768da01f552ae4018904aa5fa55ab5 galculator-1.3.4-libm.patch"
+md5sums="f8e1c022126ecbd466fbaf0fe7bcaaff galculator-2.1.tar.bz2"
+sha256sums="f3ae03601a123287cddf6f79e79cf37bbe5ce87a98997e0fd623f1cd08e6f6be galculator-2.1.tar.bz2"
+sha512sums="47bfcb67bd5cc9aa2974ac862f252daff207ad20975304af56d96465cfb01aa8d4fad729b87f4c2f5a8a821b5cad376b494fea433fac4a7b460713c6bf3f2237 galculator-2.1.tar.bz2"
diff --git a/main/galculator/galculator-1.3.4-libm.patch b/main/galculator/galculator-1.3.4-libm.patch
deleted file mode 100644
index 9c10ba1e7..000000000
--- a/main/galculator/galculator-1.3.4-libm.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- ./configure.in.orig 2012-10-15 14:47:07.000000000 +0000
-+++ ./configure.in 2012-12-31 13:28:39.927878053 +0000
-@@ -4,13 +4,14 @@
- AM_INIT_AUTOMAKE([galculator], [2.0])
- AM_MAINTAINER_MODE
-
--AM_CONFIG_HEADER(config.h)
-+AC_CONFIG_HEADER(config.h)
-
- AC_PROG_CC
- AC_PROG_INTLTOOL(, no-xml)
- AC_ISC_POSIX
-
- AC_HEADER_STDC
-+AC_CHECK_LIB([m],[tan])
-
- AC_ARG_ENABLE([gtk3],
- [AC_HELP_STRING([--enable-gtk3],
diff --git a/main/libasyncns/APKBUILD b/main/libasyncns/APKBUILD
new file mode 100644
index 000000000..edb57b1de
--- /dev/null
+++ b/main/libasyncns/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=libasyncns
+pkgver=0.8
+pkgrel=0
+pkgdesc="Asynchronous Name Service Library"
+url="http://0pointer.de/lennart/projects/libasyncns/"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://0pointer.de/lennart/projects/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="1f553d6ce1ad255bc83b3d8e9384f515 libasyncns-0.8.tar.gz"
diff --git a/main/libnetcf/APKBUILD b/main/libnetcf/APKBUILD
deleted file mode 100644
index ad0a9135f..000000000
--- a/main/libnetcf/APKBUILD
+++ /dev/null
@@ -1,45 +0,0 @@
-# Contributor:
-# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
-pkgname=libnetcf
-_realname=netcf
-pkgver=0.1.9
-pkgrel=0
-pkgdesc="Cross-platform network configuration library"
-arch="all"
-url="https://fedorahosted.org/released/netcf"
-license="LGPLv2"
-depends=
-makedepends="augeas-dev libgcrypt-dev libnl-dev libxml2-dev libxslt-dev
- pkgconfig readline-dev"
-install=
-subpackages="$pkgname-dev"
-source="https://fedorahosted.org/released/$_realname/$_realname-$pkgver.tar.gz
- libnetcf-netcf_transaction.patch"
-
-_builddir="$srcdir/$_realname-$pkgver"
-
-prepare() {
- cd "$_builddir"
- patch -p1 < ../libnetcf-netcf_transaction.patch || return 1
- # fix eglibc-2.16 build issue
- sed -i -e '/gets is a/d' \
- gnulib/lib/stdio.in.h || return 1
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
- rm "$pkgdir"/usr/lib/*.la || return 1
-}
-
-md5sums="4d62010a79d56c12438969da9035b63c netcf-0.1.9.tar.gz
-9cd03ce04f635e49797115055cd24d5d libnetcf-netcf_transaction.patch"
diff --git a/main/libnetcf/libnetcf-netcf_transaction.patch b/main/libnetcf/libnetcf-netcf_transaction.patch
deleted file mode 100644
index 0f875faa5..000000000
--- a/main/libnetcf/libnetcf-netcf_transaction.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/src/drv_initscripts.c
-+++ b/src/drv_initscripts.c
-@@ -48,6 +48,8 @@
-
- #include <libexslt/exslt.h>
-
-+#define NETCF_TRANSACTION "/etc/init.d/netcf-transaction"
-+
- static const char *const network_scripts_path =
- "/files/etc/sysconfig/network-scripts";
-
diff --git a/main/libvirt/APKBUILD b/main/libvirt/APKBUILD
index 836fd2f42..485c80203 100644
--- a/main/libvirt/APKBUILD
+++ b/main/libvirt/APKBUILD
@@ -2,7 +2,7 @@
pkgname=libvirt
pkgver="1.0.2"
_ver="${pkgver/_rc/-rc}"
-pkgrel=0
+pkgrel=1
pkgdesc="A virtualization API for several hypervisor and container systems"
url="http://libvirt.org/"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL"
depends="bridge-utils dmidecode iptables netcat-openbsd pm-utils python"
makedepends="augeas-dev bridge-utils cyrus-sasl-dev device-mapper
e2fsprogs-dev gnutls-dev libcap-ng-dev libgpg-error-dev
- libnetcf-dev libnl-dev libxml2-dev libxslt-dev libtasn1-dev
+ netcf-dev libnl-dev libxml2-dev libxslt-dev libtasn1-dev
lvm2-dev lxc-dev gnutls-dev libgcrypt-dev parted-dev perl pkgconfig
udev-dev zlib-dev yajl-dev libpcap-dev curl-dev libpciaccess-dev"
install=
diff --git a/main/loudmouth/01-fix-sasl-md5-digest-uri.patch b/main/loudmouth/01-fix-sasl-md5-digest-uri.patch
new file mode 100644
index 000000000..872d93553
--- /dev/null
+++ b/main/loudmouth/01-fix-sasl-md5-digest-uri.patch
@@ -0,0 +1,25 @@
+diff --git a/loudmouth/lm-connection.c b/loudmouth/lm-connection.c
+index 21c1bc2..ae8de94 100644
+--- a/loudmouth/lm-connection.c
++++ b/loudmouth/lm-connection.c
+@@ -1441,11 +1441,18 @@ lm_connection_authenticate (LmConnection *connection,
+ connection->effective_jid = g_strdup_printf ("%s/%s",
+ connection->jid, connection->resource);
+
+ if (connection->use_sasl) {
++ gchar *domain = NULL;
++
++ if (!connection_get_server_from_jid (connection->jid, &domain)) {
++ domain = g_strdup (connection->server);
++ }
++
+ lm_sasl_authenticate (connection->sasl,
+ username, password,
+- connection->server,
++ domain,
+ connection_sasl_auth_finished);
++ g_free (domain);
+
+ connection->features_cb =
+ lm_message_handler_new (connection_features_cb,
+
diff --git a/main/loudmouth/03-drop-stanzas-on-fail.patch b/main/loudmouth/03-drop-stanzas-on-fail.patch
new file mode 100644
index 000000000..05f4248de
--- /dev/null
+++ b/main/loudmouth/03-drop-stanzas-on-fail.patch
@@ -0,0 +1,46 @@
+From: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
+Date: Tue, 13 Jan 2009 11:28:44 +0000
+Subject: [PATCH] Drop stanzas when failing to convert them to LmMessages
+
+when a stanza comes in that for some reason can't be parsed into an LmMessage,
+just drop them on the floor instead of blocking the parser. I've seen this
+issue happen in practise because some (buggy?) client sending an iq with a
+prefix e.g. <client:iq xmlns:client="jabber:client" ... />
+---
+ loudmouth/lm-parser.c | 15 ++++++---------
+ 1 files changed, 6 insertions(+), 9 deletions(-)
+
+diff --git a/loudmouth/lm-parser.c b/loudmouth/lm-parser.c
+index 1938d56..89f6675 100644
+--- a/loudmouth/lm-parser.c
++++ b/loudmouth/lm-parser.c
+@@ -151,19 +151,16 @@ parser_end_node_cb (GMarkupParseContext *context,
+ if (!m) {
+ g_warning ("Couldn't create message: %s\n",
+ parser->cur_root->name);
+- return;
+- }
+-
+- g_log (LM_LOG_DOMAIN, LM_LOG_LEVEL_PARSER,
++ } else {
++ g_log (LM_LOG_DOMAIN, LM_LOG_LEVEL_PARSER,
+ "Have a new message\n");
+- if (parser->function) {
+- (* parser->function) (parser, m, parser->user_data);
++ if (parser->function) {
++ (* parser->function) (parser, m, parser->user_data);
++ }
++ lm_message_unref (m);
+ }
+
+- lm_message_unref (m);
+ lm_message_node_unref (parser->cur_root);
+-
+-
+ parser->cur_node = parser->cur_root = NULL;
+ } else {
+ LmMessageNode *tmp_node;
+--
+1.5.6.5
+
+
diff --git a/main/loudmouth/04-use-pkg-config-for-gnutls.patch b/main/loudmouth/04-use-pkg-config-for-gnutls.patch
new file mode 100644
index 000000000..eecd41987
--- /dev/null
+++ b/main/loudmouth/04-use-pkg-config-for-gnutls.patch
@@ -0,0 +1,24 @@
+Description: use pkg-config to detect gnutls
+Debian: http://bugs.debian.org/529835
+Origin: http://groups.google.com/group/loudmouth-dev/browse_thread/thread/3f78255837048daf#
+
+--- a/configure.ac.orig 2009-08-16 20:29:36.000000000 +0200
++++ b/configure.ac 2009-08-16 20:30:43.000000000 +0200
+@@ -146,10 +146,12 @@ AC_ARG_WITH(openssl-libs,
+ enable_ssl=no
+ if test "x$ac_ssl" = "xgnutls"; then
+ dnl Look for GnuTLS
+- AM_PATH_LM_LIBGNUTLS($GNUTLS_REQUIRED, have_libgnutls=yes, have_libgnutls=no)
+- if test "x$have_libgnutls" = "xyes"; then
+- CFLAGS="$CFLAGS $LIBGNUTLS_CFLAGS"
+- LIBS="$LIBS $LIBGNUTLS_LIBS"
++ PKG_CHECK_MODULES(GNUTLS, gnutls >= $GNUTLS_REQUIRED, have_gnutls=yes, have_gnutls=no)
++ if test "x$have_gnutls" = "xyes"; then
++ AC_SUBST(ASYNCNS_CFLAGS)
++ AC_SUBST(ASYNCNS_LIBS)
++ CFLAGS="$CFLAGS $GNUTLS_CFLAGS"
++ LIBS="$LIBS $GNUTLS_LIBS"
+ AC_DEFINE(HAVE_GNUTLS, 1, [whether to use GnuTSL support.])
+ enable_ssl=GnuTLS
+ else
+
diff --git a/main/loudmouth/APKBUILD b/main/loudmouth/APKBUILD
new file mode 100644
index 000000000..aaaa9c2d3
--- /dev/null
+++ b/main/loudmouth/APKBUILD
@@ -0,0 +1,68 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=loudmouth
+pkgver=1.4.3
+pkgrel=1
+pkgdesc="A lightweight Jabber client library"
+url="http://groups.google.com/group/loudmouth-dev"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev="pkgconfig glib-dev openssl-dev libidn-dev libasyncns-dev check-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.4/${pkgname}-${pkgver}.tar.bz2
+ 01-fix-sasl-md5-digest-uri.patch
+ 03-drop-stanzas-on-fail.patch
+ 04-use-pkg-config-for-gnutls.patch
+ loudmouth-1.4.3-glib-compile-fix.patch
+ "
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --with-asyncns=yes \
+ --with-ssl=openssl \
+ --prefix=/usr \
+ --with-libgnutls-prefix=/usr \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ make check || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="55339ca42494690c3942ee1465a96937 loudmouth-1.4.3.tar.bz2
+5a860172e76dc5df8e694602f360ce76 01-fix-sasl-md5-digest-uri.patch
+d0f34028837b7ff93262373ac3d4dd59 03-drop-stanzas-on-fail.patch
+2cfb0ef5c32c9bd377e3abb6ad38135a 04-use-pkg-config-for-gnutls.patch
+48d26a95b653a8b0bb5589a3c674a58b loudmouth-1.4.3-glib-compile-fix.patch"
+sha256sums="95a93f5d009b71ea8193d994aa11f311bc330a3efe1b7cd74dc48f11c7f929e3 loudmouth-1.4.3.tar.bz2
+5f781d15fb0b5598fb1bc16933cef1a9f006ba8cfa16a6845209b88c68b8dc16 01-fix-sasl-md5-digest-uri.patch
+21f9562965ad49ddd12b76b5eaff79a73ff1a35256cd34747b4d4b29de34f330 03-drop-stanzas-on-fail.patch
+d06d5b1d70efb061d6cfec5db918b3585cadf3d07aa8b2bdcfdb5667cfdd086d 04-use-pkg-config-for-gnutls.patch
+543b4a18b7dd1bff15b4113aa3875596d2d274bb982f1d1aa2582dbaf11f9ab4 loudmouth-1.4.3-glib-compile-fix.patch"
+sha512sums="02d1de14a4d626a4c9100bd24c06d4b4203eabb0f95bab40ee18ea5e68ed81d47aa977625140157b2d9f7974ac748af857c2ee3a916f0db700e2a2d0934940ec loudmouth-1.4.3.tar.bz2
+81302ac124207983ee35fc80e6dc1c0686b2d8d2cde905122f8611a5ffa8affe8625ad11af2f4e49c183a89ea7c6b43976af175bfda4490cbc90461ff5436fca 01-fix-sasl-md5-digest-uri.patch
+7b20b8897b9572f2be875b4e29dbf5f6d6278db6cc5cc0017e68ce3a27af41e50bd659bfa26c8d91de221ac55cbe5497ab1f5f6be541b21fe469a321904145ab 03-drop-stanzas-on-fail.patch
+d05ebc1bcef6fa40f4dfd3bf294005b9c261df7b8f2ff5c410954541af37227de884259e49a42f3df84889bd839a32560d67c3adec1940592f89b7dba6388a56 04-use-pkg-config-for-gnutls.patch
+224402461872f9fe24826307221f7e81f211a2d720559545d4cf2355cd2aacdebd82f47b74948eb3d63fc68a0371e8477b800578b748ec56043a496398880da1 loudmouth-1.4.3-glib-compile-fix.patch"
diff --git a/main/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch b/main/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch
new file mode 100644
index 000000000..03d04e78a
--- /dev/null
+++ b/main/loudmouth/loudmouth-1.4.3-glib-compile-fix.patch
@@ -0,0 +1,17 @@
+Fix compile against new glib.
+
+From: Daniel Drake <dsd@laptop.org>
+
+Index: loudmouth-1.4.3/loudmouth/lm-error.c
+===================================================================
+--- loudmouth-1.4.3.orig/loudmouth/lm-error.c
++++ loudmouth-1.4.3/loudmouth/lm-error.c
+@@ -19,7 +19,7 @@
+ */
+
+ #include <config.h>
+-#include <glib/gerror.h>
++#include <glib.h>
+ #include "lm-error.h"
+
+ /**
diff --git a/main/mcabber/APKBUILD b/main/mcabber/APKBUILD
new file mode 100644
index 000000000..21d353770
--- /dev/null
+++ b/main/mcabber/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=mcabber
+pkgver=0.10.2
+pkgrel=0
+pkgdesc="A small Jabber console client"
+url="http://www.lilotux.net/~mikael/mcabber/"
+arch="all"
+license="GPL2+"
+depends="beep"
+depends_dev=""
+options="libtool"
+makedepends=" loudmouth-dev
+ glib-dev
+ ncurses-dev
+ gpgme-dev
+ aspell-dev
+ libotr-dev
+ libidn-dev
+ enchant-dev
+"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-example"
+source="http://mcabber.com/files/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --enable-hgcset \
+ --enable-enchant \
+ --enable-aspell \
+ --enable-otr \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+example() {
+ # Put the example file into a seperate package
+ mkdir -p "$subpkgdir"/usr/share/doc/"$pkgname"/example || return 1
+ mv "$_builddir"/mcabberrc.example \
+ "$subpkgdir"/usr/share/doc/"$pkgname"/example/mcabberrc.example || return 1
+}
+
+md5sums="6bb2302f5168ad4c28b647390e37f9b3 mcabber-0.10.2.tar.bz2"
+sha256sums="e246d153f93a75b4f45879f447434db070503c9903bf3f995af396b3b94586f8 mcabber-0.10.2.tar.bz2"
+sha512sums="976c29ec753a364392ba6b5280c9031d9eb8884236b7d07fbeaa69a731806706f72b93a0bbbca1eca4f11325412d5beff62b14d94acca912841b8b820c2b3652 mcabber-0.10.2.tar.bz2"
diff --git a/main/netcf/APKBUILD b/main/netcf/APKBUILD
new file mode 100644
index 000000000..746b16ee5
--- /dev/null
+++ b/main/netcf/APKBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=netcf
+pkgver=0.2.3
+pkgrel=0
+pkgdesc="Cross-platform network configuration library"
+arch="all"
+url="https://fedorahosted.org/released/netcf"
+license="LGPLv2"
+depends=
+makedepends="augeas-dev libgcrypt-dev libnl-dev libxml2-dev libxslt-dev
+ pkgconfig readline-dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
+source="https://fedorahosted.org/released/netcf/netcf-$pkgver.tar.gz"
+replaces="libnetcf"
+
+_builddir="$srcdir/netcf-$pkgver"
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-driver=debian \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+}
+
+libs() {
+ pkgdesc="Libraries for $pkgname"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/lib "$pkgdir"/usr/share "$subpkgdir"/usr/
+}
+
+md5sums="bee292470b06201b59af0fad473a1b65 netcf-0.2.3.tar.gz"
+sha256sums="732c9e366e9a6528f0a8e683b8330ac159cc108180dbfe6981341c5e1b07ebb5 netcf-0.2.3.tar.gz"
+sha512sums="a51ab4639546d1606d6777d537f83b8d30c2537eafdc0ed699ff8cfbde79b36a68f25b87dacd61074e9fdac9ef80db09dde624d8f6a64ac4213d14f8339bb31d netcf-0.2.3.tar.gz"
diff --git a/main/squid/APKBUILD b/main/squid/APKBUILD
index b66a8410a..66c8b7901 100644
--- a/main/squid/APKBUILD
+++ b/main/squid/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=squid
pkgver=3.2.7
-pkgrel=1
+pkgrel=2
pkgdesc="A full-featured Web proxy cache server."
url="http://www.squid-cache.org"
install="squid.pre-install squid.pre-upgrade"
@@ -19,7 +19,9 @@ linguas="af ar az bg ca cs da de el es et fa fi fr he hu hy id it ja ko lt
langdir="/usr/share/squid/errors"
source="http://www.squid-cache.org/Versions/v3/3.2/squid-$pkgver.tar.bz2
+ squid-3.2.0.16-loggable-urlgroup.patch
cf_gen-pthread.patch
+ bug-3679.patch
squid.initd
squid.confd
$pkgname.logrotate
@@ -104,7 +106,9 @@ squid_kerb_auth() {
}
md5sums="3e4d21b24c39d5066791017919866a64 squid-3.2.7.tar.bz2
+16e3b38996d4c5858e1478f8eb650876 squid-3.2.0.16-loggable-urlgroup.patch
c60237de253c02937f272d3b189d7679 cf_gen-pthread.patch
+9e71076799d334faba6f4954594e7b4a bug-3679.patch
905e57c6d41414f54a75a5c0f9f7fac7 squid.initd
2897c725c201be53d3c9a7db0101bdf0 squid.confd
58823e0b86bc2dc71d270208b7b284b4 squid.logrotate"
diff --git a/main/squid/bug-3679.patch b/main/squid/bug-3679.patch
new file mode 100644
index 000000000..b71809381
--- /dev/null
+++ b/main/squid/bug-3679.patch
@@ -0,0 +1,15 @@
+http://bugs.squid-cache.org/show_bug.cgi?id=3679
+
+diff --git a/src/external_acl.cc b/src/external_acl.cc
+index b3821c5..d6c4338 100644
+--- a/src/external_acl.cc
++++ b/src/external_acl.cc
+@@ -1152,7 +1152,7 @@ external_acl_entry_expired(external_acl * def, external_acl_entry * entry)
+ if (def->cache_size <= 0)
+ return 1;
+
+- if (entry->date + (entry->result == 1 ? def->ttl : def->negative_ttl) < squid_curtime)
++ if (entry->date + (entry->result == 1 ? def->ttl : def->negative_ttl) <= squid_curtime)
+ return 1;
+ else
+ return 0;
diff --git a/main/squid/squid-3.2.0.16-loggable-urlgroup.patch b/main/squid/squid-3.2.0.16-loggable-urlgroup.patch
new file mode 100644
index 000000000..41193ba85
--- /dev/null
+++ b/main/squid/squid-3.2.0.16-loggable-urlgroup.patch
@@ -0,0 +1,111 @@
+diff --git a/src/HttpRequest.cc b/src/HttpRequest.cc
+index b464e65..0448078 100644
+--- a/src/HttpRequest.cc
++++ b/src/HttpRequest.cc
+@@ -107,6 +107,7 @@ HttpRequest::init()
+ peer_login = NULL; // not allocated/deallocated by this class
+ peer_domain = NULL; // not allocated/deallocated by this class
+ vary_headers = NULL;
++ urlgroup = null_string;
+ myportname = null_string;
+ tag = null_string;
+ #if USE_AUTH
+@@ -155,6 +156,7 @@ HttpRequest::clean()
+ range = NULL;
+ }
+
++ urlgroup.clean();
+ myportname.clean();
+
+ tag.clean();
+@@ -214,6 +216,7 @@ HttpRequest::clone() const
+ copy->vary_headers = vary_headers ? xstrdup(vary_headers) : NULL;
+ // XXX: what to do with copy->peer_domain?
+
++ copy->urlgroup = urlgroup;
+ copy->myportname = myportname;
+ copy->tag = tag;
+ #if USE_AUTH
+diff --git a/src/HttpRequest.h b/src/HttpRequest.h
+index dc44fea..989624d 100644
+--- a/src/HttpRequest.h
++++ b/src/HttpRequest.h
+@@ -187,6 +187,8 @@ public:
+
+ char *peer_domain; /* Configured peer forceddomain */
+
++ String urlgroup;
++
+ String myportname; // Internal tag name= value from port this requests arrived in.
+
+ String tag; /* Internal tag for this request */
+diff --git a/src/client_side_request.cc b/src/client_side_request.cc
+index 0c3113b..d1947e9 100644
+--- a/src/client_side_request.cc
++++ b/src/client_side_request.cc
+@@ -1180,6 +1180,15 @@ ClientRequestContext::clientRedirectDone(char *result)
+ redirect_state = REDIRECT_DONE;
+
+ if (result) {
++ if (result[0] == '!') {
++ char *t = strchr(result+1, '!');
++ if (t != NULL) {
++ old_request->urlgroup.reset(NULL);
++ old_request->urlgroup.append(result + 1, t - result - 1);
++ result = t + 1;
++ }
++ }
++
+ http_status status = (http_status) atoi(result);
+
+ if (status == HTTP_MOVED_PERMANENTLY
+@@ -1198,7 +1207,7 @@ ClientRequestContext::clientRedirectDone(char *result)
+ else
+ debugs(85, DBG_CRITICAL, "ERROR: URL-rewrite produces invalid 303 redirect Location: " << result);
+ }
+- } else if (strcmp(result, http->uri)) {
++ } else if (result[0] != 0 && strcmp(result, http->uri)) {
+ // XXX: validate the URL properly *without* generating a whole new request object right here.
+ // XXX: the clone() should be done only AFTER we know the new URL is valid.
+ HttpRequest *new_request = old_request->clone();
+diff --git a/src/format/ByteCode.h b/src/format/ByteCode.h
+index 8e345df..ddb0f8f 100644
+--- a/src/format/ByteCode.h
++++ b/src/format/ByteCode.h
+@@ -65,6 +65,7 @@ typedef enum {
+ /*LFT_REQUEST_QUERY, */
+ LFT_REQUEST_VERSION_OLD_2X,
+ LFT_REQUEST_VERSION,
++ LFT_REQUEST_URLGROUP,
+
+ /* request header details pre-adaptation */
+ LFT_REQUEST_HEADER,
+diff --git a/src/format/Format.cc b/src/format/Format.cc
+index 18348e8..2e65886 100644
+--- a/src/format/Format.cc
++++ b/src/format/Format.cc
+@@ -907,6 +907,12 @@ Format::Format::assemble(MemBuf &mb, AccessLogEntry *al, int logSequenceNumber)
+ out = tmp;
+ break;
+
++ case LFT_REQUEST_URLGROUP:
++ if (al->request)
++ out = al->request->urlgroup.termedBuf();
++ quote = 1;
++ break;
++
+ case LFT_SERVER_REQ_METHOD:
+ if (al->adapted_request) {
+ out = al->adapted_request->method.image();
+diff --git a/src/format/Token.cc b/src/format/Token.cc
+index 6859e0a..8a8e5e7 100644
+--- a/src/format/Token.cc
++++ b/src/format/Token.cc
+@@ -116,6 +116,7 @@ static TokenTableEntry TokenTable2C[] = {
+ {"rp", LFT_REQUEST_URLPATH_OLD_31},
+ /* { "rq", LFT_REQUEST_QUERY }, * / / * the query-string, INCLUDING the leading ? */
+ {"rv", LFT_REQUEST_VERSION},
++ {"rG", LFT_REQUEST_URLGROUP},
+
+ {"<rm", LFT_SERVER_REQ_METHOD},
+ {"<ru", LFT_SERVER_REQ_URI},
diff --git a/main/xulrunner/APKBUILD b/main/xulrunner/APKBUILD
index d8fc7253f..d6c9bd03c 100644
--- a/main/xulrunner/APKBUILD
+++ b/main/xulrunner/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xulrunner
-pkgver=18.0.2
+pkgver=19.0
_ffoxver=$pkgver
pkgrel=0
pkgdesc="runtime environment for xul-based applications"
@@ -56,7 +56,6 @@ source="http://releases.mozilla.org/pub/mozilla.org/firefox/releases/${_ffoxver}
cairo.patch
getchar.patch
sysconf.patch
- mallctl.patch
"
# help our shared-object scanner to find the libs
ldpath="/usr/lib/xulrunner-$pkgver"
@@ -117,30 +116,27 @@ dev() {
mv "${pkgdir}"/usr/include "${subpkgdir}"/usr/include
}
-md5sums="a7a20f52a3ffdd8d2fafa8a1a1db49c7 firefox-18.0.2.source.tar.bz2
-300ee7803d9426dc3c91e08830e73e23 mozconfig
+md5sums="3dc732b6ce177792b43324f4bc7164d8 firefox-19.0.source.tar.bz2
+8fb048f27e87abc9fd45b80135f5c784 mozconfig
f43c1f0ae57aa8289b130c6de8caf3ce 0002-Use-C99-math-isfinite.patch
e8b3a22d670241bb5c038729ac49a975 0003-xulrunner-jemalloc-aslr.patch
-998b48fe73dc642065ab25230d739b2c uclibc-malloc_usable_size.patch
+d3d1e831185da3a3e9ddf56c33449c70 uclibc-malloc_usable_size.patch
6a3942d96c7ce3c63251761cc12c8349 cairo.patch
a7b33d8b75306f225e3a8d1a8a403736 getchar.patch
-090ea4daeedfff2915da62a738c7e81d sysconf.patch
-2a8cb2d3065f4475ea463f8498ea2324 mallctl.patch"
-sha256sums="6aa2cd33903d612cf569e2824a6168feb6209f09fb3ca730ec10236da49bd236 firefox-18.0.2.source.tar.bz2
-a880ba2a36168b095ddd856a6f57b84c29f59647f708107aa3ef00738f060ce3 mozconfig
+090ea4daeedfff2915da62a738c7e81d sysconf.patch"
+sha256sums="645eaba5ee9a2728799822f6f79d91bfd4c3dade5141db2e0a606c85eec589f4 firefox-19.0.source.tar.bz2
+36c59e9086aeef16935c82f1c806c799cdcc64a80b48b90813489ba2fb434fb3 mozconfig
2f319883300f2aef180bfb80221151fcbb29344a5a0a086d6ad1d80005daf039 0002-Use-C99-math-isfinite.patch
324d5cd26858ad21bb4680db8635fb3fd014bf00a637bf9fb2b118c2925fc5e7 0003-xulrunner-jemalloc-aslr.patch
-40236401426f4aa7dc0b8ab46b9132f4453507fb61de7e393782258bf89e9e74 uclibc-malloc_usable_size.patch
+70d93003a95d3a89bd3193d46a278f094a6b983aa660781e4090d58cf1c488a2 uclibc-malloc_usable_size.patch
519be436124cf9716d3df732e633f5d73c5c9da79bb48447e1d9724baf9b430f cairo.patch
f30846e4b4c86dc1f7308e5e2a76951f51e2932d70b08ed8fe3129c53bb527d3 getchar.patch
-15fa203c6a253b9e0229ff5bd0d1c88a4ab4ee2aef34ae88fdf7fe06ba7962f8 sysconf.patch
-0634e9586d82b827af2164cd8bff86981a6d430e2eccb8c0e0089ded64c480bc mallctl.patch"
-sha512sums="c9be9d7328fe614059f895879351a48a3083f4a7ac1eb22eab3af8e94c432ad06d4f8a7295c2b843c4a289e463fcbd2dc389c8bc8018c5d8c666929a82214e54 firefox-18.0.2.source.tar.bz2
-2dc845b0c50d280ab41d7eed7bad57751122e87680eef0d68478ebf0dfdbf12d3ddf9c2167e87d9145fd1e6fac61431c8c79a2153b11c512b79b92a186a79e95 mozconfig
+15fa203c6a253b9e0229ff5bd0d1c88a4ab4ee2aef34ae88fdf7fe06ba7962f8 sysconf.patch"
+sha512sums="6b9f93dd5cdb5a5a02072cf6dd43952c78f379f530963e630551904e746c15e343527b1095f327a7d3af05df7007fdf88fc1cd618bf07d93abbf5aabbb82a727 firefox-19.0.source.tar.bz2
+6323d129f6f5edd5de0ca60a9092bf2d9ec7443b5353ca2cf89db757fbfbf9cf5c475b6f6fc00d5b9024071e37a4f8614fdb212773b3af3c32e12b256fef6378 mozconfig
9a6666a3b637549411ea562c9d0d6d617ed48327d0f9e4e64d27f43774c218e6c5cf5fa99d4b339a5a0f89b854a18079392eba0dafc3419adbd4cdd5d71d3f26 0002-Use-C99-math-isfinite.patch
46caf196a9f68614c42b793befc7dc85438d30ce47c06ccc925aae14728d67b0d29192edba430c0a6237192e6d51db26dfc6e6190bc01937a828effd8136f37b 0003-xulrunner-jemalloc-aslr.patch
-0aa589cf43dac499f13e027240c83f221acf97e6369e78edab55ff78317f60288cbf42a2bdd1cb6167a70f781d4ca8ae2f7493b94efb5a93bbfeab3ea278c27d uclibc-malloc_usable_size.patch
+9845400d4a3c5cc4f0c7a80292c555f8192ba5093f59baed86d63c575aa50d73597588a6236948c25619e9dbaad72508abd91edf16374904d0d8345a94755ffc uclibc-malloc_usable_size.patch
66c6cb290153e4333ffda0407230a7801149864a69eac6adc130653e7cff28b1fbfd9f20cf0cfd4ee35ae3eb8b2dc6357a48024a8e7005218b44d58efbdcf483 cairo.patch
a4692b9a8b5239523486cf10bf0debd54e8d2da6f994775a3e46dc6da71591b7ed698ceea30cd9f4bb30ca1e9b93b3eb18b8055bba5c5f6171e019a5b5cc29f8 getchar.patch
-b47db40d6b54fa3bdb650d680e1468dc16f323c3cf48e4f867373bcdfde82d2dbb85910262503285ba3bde8a5757d74a17c1ae6db31116bc8a42e05ab2bb20d6 sysconf.patch
-9626a29fcb26de9254628f6904d66f333a3a2fb848b6a6abc545c1a411c82e0e6637e8a62308e95dd825dde40fc10c55be6751cf800d7595e3eb03739e6d44f1 mallctl.patch"
+b47db40d6b54fa3bdb650d680e1468dc16f323c3cf48e4f867373bcdfde82d2dbb85910262503285ba3bde8a5757d74a17c1ae6db31116bc8a42e05ab2bb20d6 sysconf.patch"
diff --git a/main/xulrunner/mallctl.patch b/main/xulrunner/mallctl.patch
deleted file mode 100644
index 7c56f584e..000000000
--- a/main/xulrunner/mallctl.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-https://bugzilla.mozilla.org/show_bug.cgi?id=815681
-
-diff --git a/xpcom/base/AvailableMemoryTracker.cpp b/xpcom/base/AvailableMemoryTracker.cpp
-index 69af67d..ef98fec 100644
---- a/xpcom/base/AvailableMemoryTracker.cpp
-+++ b/xpcom/base/AvailableMemoryTracker.cpp
-@@ -26,9 +26,7 @@
- # include <windows.h>
- #endif
-
--#if defined(MOZ_MEMORY)
- # include "jemalloc.h"
--#endif // MOZ_MEMORY
-
- using namespace mozilla;
-
-@@ -498,11 +496,7 @@ nsJemallocFreeDirtyPagesRunnable::Run()
- {
- MOZ_ASSERT(NS_IsMainThread());
-
--#if defined(MOZ_JEMALLOC)
-- mallctl("arenas.purge", nullptr, 0, nullptr, 0);
--#elif defined(MOZ_MEMORY)
- jemalloc_free_dirty_pages();
--#endif
-
- return NS_OK;
- }
diff --git a/main/xulrunner/mozconfig b/main/xulrunner/mozconfig
index a6141fa60..416d42115 100644
--- a/main/xulrunner/mozconfig
+++ b/main/xulrunner/mozconfig
@@ -32,6 +32,7 @@ ac_add_options --enable-safe-browsing
ac_add_options --enable-startup-notification
ac_add_options --enable-extensions=default
ac_add_options --enable-jemalloc
+ac_add_options --enable-replace-malloc
ac_add_options --disable-elf-hack
ac_add_options --enable-gio
ac_add_options --enable-gstreamer
diff --git a/main/xulrunner/uclibc-malloc_usable_size.patch b/main/xulrunner/uclibc-malloc_usable_size.patch
index 49b5a6430..b4a009317 100644
--- a/main/xulrunner/uclibc-malloc_usable_size.patch
+++ b/main/xulrunner/uclibc-malloc_usable_size.patch
@@ -11,9 +11,9 @@
VISIBILITY_FLAGS=
STL_FLAGS =
ifdef _MSC_VER
---- ./memory/mozalloc/mozalloc.cpp.orig
-+++ ./memory/mozalloc/mozalloc.cpp
-@@ -33,7 +33,7 @@
+--- ./memory/mozalloc/mozalloc.cpp.orig 2013-02-15 21:15:06.000000000 +0000
++++ ./memory/mozalloc/mozalloc.cpp 2013-02-20 08:00:26.328809270 +0000
+@@ -30,7 +30,7 @@
#include "mozilla/mozalloc_oom.h" // for mozalloc_handle_oom
/* Windows doesn't have malloc_usable_size, but jemalloc has */
@@ -22,16 +22,3 @@
extern "C" size_t malloc_usable_size(const void *ptr);
#endif
-@@ -213,10 +213,10 @@
-
- #if defined(XP_MACOSX)
- return malloc_size(ptr);
--#elif defined(MOZ_MEMORY) || (defined(XP_LINUX) && !defined(ANDROID)) || defined(__FreeBSD__)
-+#elif defined(MOZ_MEMORY) || (defined(XP_LINUX) && !defined(ANDROID)) && !defined(__UCLIBC__) || defined(__FreeBSD__)
- // Android bionic libc doesn't have malloc_usable_size.
- return malloc_usable_size(ptr);
--#elif defined(XP_WIN)
-+#elif defined(XP_WIN) || defined(__UCLIBC__)
- return _msize(ptr);
- #else
- return 0;